Update run-fuzzer.sh

This commit is contained in:
Alexander Kuzmenkov 2021-05-29 01:57:16 +03:00 committed by GitHub
parent d33480ce84
commit 2116d0d53d
No known key found for this signature in database
GPG Key ID: 4AEE18F83AFDEB23

View File

@ -137,8 +137,10 @@ continue
kill -0 $watchdog_pid
# Wait for the fuzzer to complete.
wait "$fuzzer_pid"
fuzzer_exit_code=$?
# Note that the 'wait || ...' thing is required so that the script doesn't
# exit because of 'set -e' when 'wait' returns nonzero code.
fuzzer_exit_code=0
wait "$fuzzer_pid" || fuzzer_exit_code=$?
echo "Fuzzer exit code is $fuzzer_exit_code"
kill -- -$watchdog_pid ||: